## GeditApp

GeditApp

## Functions

GeditWindow * | gedit_app_create_window ()
void | gedit_app_set_window_title ()
GList * | gedit_app_get_main_windows ()
GList * | gedit_app_get_documents ()
GList * | gedit_app_get_views ()
gboolean | gedit_app_process_window_event ()
gboolean | gedit_app_show_help ()

## Types and Values

| GeditApp

## Object Hierarchy

        GObject
        ╰── GApplication
            ╰── GtkApplication
                ╰── GeditApp

## Implemented Interfaces

GeditApp implements GActionGroup and GActionMap.

## Description

## Functions

### gedit_app_create_window ()

    GeditWindow *
    gedit_app_create_window (GeditApp *app,
                             GdkScreen *screen);

Create a new GeditWindow part of `app` .

#### Parameters

app | the GeditApp |
screen | . | [allow-none]

#### Returns

the new GeditWindow.

[transfer none]

### gedit_app_set_window_title ()

    void
    gedit_app_set_window_title (GeditApp *app,
                                GeditWindow *window,
                                const gchar *title);

### gedit_app_get_main_windows ()

    GList *
    gedit_app_get_main_windows (GeditApp *app);

Returns all GeditWindows currently open in GeditApp. This differs from `gtk_application_get_windows()` since it does not include the preferences dialog and other auxiliary windows.

#### Parameters

app | the GeditApp |

#### Returns

a newly allocated list of GeditWindow objects.

[element-type Gedit.Window][transfer container]

### gedit_app_get_documents ()

    GList *
    gedit_app_get_documents (GeditApp *app);

Returns all the documents currently open in GeditApp.

#### Parameters

app | the GeditApp |

#### Returns

a newly allocated list of GeditDocument objects.

[element-type Gedit.Document][transfer container]

### gedit_app_get_views ()

    GList *
    gedit_app_get_views (GeditApp *app);

Returns all the views currently present in GeditApp.

#### Parameters

app | the GeditApp |

#### Returns

a newly allocated list of GeditView objects.

[element-type Gedit.View][transfer container]

### gedit_app_process_window_event ()

    gboolean
    gedit_app_process_window_event (GeditApp *app,
                                    GeditWindow *window,
                                    GdkEvent *event);

### gedit_app_show_help ()

    gboolean
    gedit_app_show_help (GeditApp *app,
                         GtkWindow *parent_window,
                         const gchar *name_of_user_manual,
                         const gchar *link_id_within_user_manual);

To show the user manual.

As a useful information to know, the gedit user documentation is currently written in Mallard. As such, this functionality can easily be tested with Yelp on Linux:

With `name_of_user_manual` and `link_id_within_user_manual` both `NULL`, it is equivalent to:

`$ yelp 'help:gedit'`

With `link_id_within_user_manual` set to `"gedit-replace"` (a Mallard page id):

`$ yelp 'help:gedit/gedit-replace'`

It is also possible to refer to a section id within a page id, for example:

`$ yelp 'help:gedit/gedit-spellcheck#dict'`

#### Parameters

app | a GeditApp. |
parent_window | the GtkWindow where the request originates from. | [nullable]
name_of_user_manual | `NULL` for gedit's user manual, otherwise the name of another user manual (e.g., one from another application). | [nullable]
link_id_within_user_manual | a link ID within the user manual, or `NULL` to show the start page. | [nullable]

#### Returns

whether the operation was successful.

## Types and Values

### GeditApp

    typedef struct _GeditApp GeditApp;